set interval 0.001
set pkt_size 1000

proc attach-traffic { node sink size interval id start} {
   
    global stopSource mode
    set ns [Simulator instance]
    set source [new Agent/UDP]
    $source set packetSize_ $size
    $ns attach-agent $node $source

    $ns connect $source $sink
    
    set traffic [new Application/Traffic/CBR]
    $traffic set packetSize_ $size
    $traffic set random_ 1
    $traffic set interval_ $interval
    $traffic attach-agent $source
    
    $ns at $start "$traffic start"
    $ns at $stopSource "$traffic stop"
    $source set fid_ $id
    return $source

}

set u [new RNG]
$u seed 0
#Setup a source from node i to node i + nn/2 
for {set i 0} {$i < [expr $val(nn)/2] } {incr i} {

    set null_($i) [new Agent/Null]
    $ns_ attach-agent $node_([expr $i + [expr $val(nn)/2]]) $null_($i)
    set start [$u uniform 0.00 0.00]
    set size [$u uniform 1000 1000]
    	    #call the proc attach-traffic to set up the flow parameters and connect
    set source($i) [attach-traffic $node_($i) $null_($i) $size ${interval}s $i ${start}s]

}











